/*
@rootVar: MyExampleRootVar
@name: My Example Add-On
@version: 1.0.0 
@description: Example demonstrating sending an API token to your platform from the user that installed this Add-On.
@author: John Doe
@class: YourClass 

@example
  var element = new Element(); 
  element.render({ 
    content: <div>This content overrules the defaultConfig content</div>, 
  });
*/


 var MyExampleRootVar = {}; 
 (function (namespace) { 
     // Define a static variable authReturnURL below your rootVariable to whitelist your authentication URL.
    namespace.authReturnURL = 'http://localhost:5000/fetchToken';
    namespace.YourClass = new Class({ 
        Implements: [Options, Events],
        options:{ 
           content: 'data that will be logged to the console' 
       }, 
       initialize: function (config) {
            var defaultConfig = {
                content: 'content' 
           };
            config = $.extend(true, defaultConfig, config);
            this.setOptions(config);
        },
        /** 
       * @function render - returns an element 
       * @param {object} config 
       * @param {int} config.content 
       */ 
       render: function (config) { 
            // Nothing to render here.
            console.info('Add-On Successfully installed, allowing ' + MyExampleRootVar.authReturnURL + ' to request API tokens');


       }, 
       destroy: function(){ 
           
       }
   }); 
 })(MyExampleRootVar); 
 var output = new MyExampleRootVar.YourClass({content:'<div style="background-color:#fff;padding:10px">The first example output of your add-on!</div>'}).render();